# PSF-LoginServer - master - net.psforever.actors.net.SocketActor
PSF - LoginServer - master - net.psforever.actors.net.SocketActor
Keywords: PSF LoginServer master net.psforever.actors.net.SocketActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package net
  Definition Classes
    actors
- LoginActor
- MiddlewareActor
- SocketActor

c

net.psforever.actors.net

# SocketActor 

###
Companion object SocketActor

#### class SocketActor extends AnyRef

Source
  SocketActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SocketActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SocketActor(context: ActorContext[Command], address: InetSocketAddress, next: (ActorRef[Command], InetSocketAddress, String) => Behavior[PlanetSidePacket])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def active(socket: ActorRef): Behavior[Command]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  implicit val ec: ExecutionContextExecutor
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  val incomingTimes: Map[InetSocketAddress, Long]
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  val outgoingTimes: Map[InetSocketAddress, Long]
19.  val packetActors: Map[InetSocketAddress, ActorRef[Command]]
20.  val random: SecureRandom
21.  val senderHack: ActorRef
22.  val sessionReaper: Cancellable
23.  def start(): Behavior[Command]
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  val udpCommandAdapter: ActorRef[Command]
27.  val updEventAdapter: ActorRef[Event]
28.  val updUnboundAdapter: ActorRef[Unbound]
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped